IStoreConfig (Apache Tomcat 9.0.111 API Documentation)
Description: declaration: package: org.apache.catalina.storeconfig, interface: IStoreConfig

# Interface IStoreConfig

All Known Implementing Classes:
  `StoreConfig`

public interface IStoreConfig

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StoreRegistry`
  `getRegistry()`
  Get Configuration Registry
  `Server`
  `getServer()`
  Get associated server
  `void`
  `setRegistry(StoreRegistry aRegistry)`
  Set Configuration Registry
  `void`
  `setServer(Server aServer)`
  Set associated server
  `void`
  `store(PrintWriter aWriter, int indent, Context aContext)`
  Store the specified Context properties.
  `void`
  `store(PrintWriter aWriter, int indent, Host aHost)`
  Store the specified Host properties.
  `void`
  `store(PrintWriter aWriter, int indent, Server aServer)`
  Store the specified Server properties.
  `void`
  `store(PrintWriter aWriter, int indent, Service aService)`
  Store the specified Service properties.
  `boolean`
  `store(Context aContext)`
  Store the specified Context properties.
  `boolean`
  `store(Server aServer)`
  Write the configuration information for this entire `Server` out to the server.xml configuration file.
  `void`
  `storeConfig()`
  Store the current StoreFactory Server.

- ## Method Details

  - ### getRegistry

    StoreRegistry getRegistry()
    Get Configuration Registry
    Returns:
      aRegistry that handle the store operations

  - ### setRegistry

    void setRegistry(StoreRegistry aRegistry)
    Set Configuration Registry
    Parameters:
      `aRegistry` - aregistry that handle the store operations

  - ### getServer

    Server getServer()
    Get associated server
    Returns:
      aServer the associated server

  - ### setServer

    void setServer(Server aServer)
    Set associated server
    Parameters:
      `aServer` - the associated server

  - ### storeConfig

    void storeConfig()
    Store the current StoreFactory Server.

  - ### store

    boolean store(Server aServer)
    Write the configuration information for this entire `Server` out to the server.xml configuration file.
    Parameters:
      `aServer` - Server instance
    Returns:
      `true` if the store operation was successful

  - ### store

    void store(PrintWriter aWriter, int indent, Server aServer) throws Exception
    Store the specified Server properties.
    Parameters:
      `aWriter` - PrintWriter to which we are storing
      `indent` - Number of spaces to indent this element
      `aServer` - Object to be stored
    Throws:
      `Exception` - Store error occurred

  - ### store

    void store(PrintWriter aWriter, int indent, Service aService) throws Exception
    Store the specified Service properties.
    Parameters:
      `aWriter` - PrintWriter to which we are storing
      `indent` - Number of spaces to indent this element
      `aService` - Object to be stored
    Throws:
      `Exception` - Store error occurred

  - ### store

    void store(PrintWriter aWriter, int indent, Host aHost) throws Exception
    Store the specified Host properties.
    Parameters:
      `aWriter` - PrintWriter to which we are storing
      `indent` - Number of spaces to indent this element
      `aHost` - Object to be stored
    Throws:
      `Exception` - Store error occurred

  - ### store

    boolean store(Context aContext)
    Store the specified Context properties.
    Parameters:
      `aContext` - Object to be stored
    Returns:
      `true` if the store operation was successful

  - ### store

    void store(PrintWriter aWriter, int indent, Context aContext) throws Exception
    Store the specified Context properties.
    Parameters:
      `aWriter` - PrintWriter to which we are storing
      `indent` - Number of spaces to indent this element
      `aContext` - Object to be stored
    Throws:
      `Exception` - Store error occurred